<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h6 class="modal-title" id="myPaymentApplicationLabel" jhiTranslate="mpmApp.paymentApplication.home.createOrEditLabel">Create or edit a Payment Application</h6>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clear()">&times;</button>
    </div>
    <div class="card-deck" style="margin: 10px;">
        <div class="card">
			<div class="card-body">
                <jhi-alert-error></jhi-alert-error>
                <div class="form-group" [hidden]="!paymentApplication.idPaymentApplication">
                    <label for="id" jhiTranslate="global.field.id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" [(ngModel)]="paymentApplication.idPaymentApplication" readonly />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.paymentApplication.amountApplied" for="field_amountApplied">Amount Applied</label>
                    <input currencyMask class="form-control" name="amountApplied" id="field_amountApplied"
                        [(ngModel)]="paymentApplication.amountApplied"
                        [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                         />
                </div>

                <div class="form-group" *ngIf="idPayment === undefined">
                    <label class="form-control-label" jhiTranslate="mpmApp.paymentApplication.payment" for="field_payment">Payment</label>
                    <select class="form-control" id="field_payment" name="payment" [(ngModel)]="paymentApplication.paymentId" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="paymentOption.idPayment" *ngFor="let paymentOption of payments; trackBy: trackPaymentById">{{paymentOption.paymentNumber}}</option>
                    </select>
                </div>
                <div class="form-group" *ngIf="idBilling === undefined">
                    <label class="form-control-label" jhiTranslate="mpmApp.paymentApplication.billing" for="field_billing">Billing</label>
                    <select class="form-control" id="field_billing" name="billing" [(ngModel)]="paymentApplication.billingId" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="billingOption.idBilling" *ngFor="let billingOption of billings; trackBy: trackBillingById">{{billingOption.billingNumber}}</option>
                    </select>
                </div>
            </div>
        </div>
    </div>
    <div class="modal-footer">
        <button pButton type="button" data-dismiss="modal" (click)="clear()"
            label="{{'entity.action.cancel' | translate}}"
            icon="fa-ban"
            class="ui-button-danger flat-label-button">
        </button>
        <button pButton type="submit" [disabled]="editForm.form.invalid || isSaving"
            label="{{'entity.action.save' | translate}}"
            icon="fa-save"
            class="ui-button-primary flat-label-button">
        </button>
    </div>
</form>
